MissionMinderPreLoad = MissionMinderPreLoad or {};
MissionMinderPreLoad.ptr = GetBuildInfo():match('6[.]1[.][0-9]+')
MissionMinderPreLoad.name = "MissionMinder-PreLoad"; --internal name; purposefully non-localized
MissionMinderPreLoad.version = GetAddOnMetadata(MissionMinderPreLoad.name, "Version");
MissionMinderPreLoad.debug= function (format, ...)
	--[===[@alpha@
	print("|cffcccccc[DEBUG] " .. string.format(format, ...));
	--@end-alpha@]===]
end


local Lib = MissionMinderPreLoad
local DEBUG = Lib.debug;
Lib.callbacks = Lib.callbacks or LibStub("CallbackHandler-1.0"):New(Lib)

local frame = CreateFrame("Frame");
frame:SetScript("OnEvent", function(self, event, ...)
	if (event == "ADDON_LOADED" and select(1, ...) ~= Lib.name ) then
		return;
	end

	--[===[@alpha@
	print("|cffcccccc[DEBUG]", event, ...)
	--@end-alpha@]===]

	Lib.callbacks:Fire(event, ...);
end);

local function initialize()
	DEBUG("   |cffffffffpreload-Main|r initialized")
end

function Lib:RegisterEvent(module, event, func)
	frame:RegisterEvent(event)
	Lib.RegisterCallback(module, event, func)
end

Lib:RegisterEvent("main", "ADDON_LOADED", initialize);
